libvisio::VSDParaIX Class Reference
Inheritance diagram for libvisio::VSDParaIX:

## Public Member Functions

VSDParaIX (unsigned id, unsigned level, unsigned charCount, const std::optional< double > &indFirst, const std::optional< double > &indLeft, const std::optional< double > &indRight, const std::optional< double > &spLine, const std::optional< double > &spBefore, const std::optional< double > &spAfter, const std::optional< unsigned char > &align, const std::optional< unsigned char > &bullet, const std::optional< VSDName > &bulletStr, const std::optional< VSDName > &bulletFont, const std::optional< double > &bulletFontSize, const std::optional< double > &textPosAfterBullet, const std::optional< unsigned > &flags)

| ~VSDParaIX () override
void | handle (VSDCollector *collector) const override
VSDParagraphListElement * | clone () override
unsigned | getCharCount () const override
void | setCharCount (unsigned charCount) override
Public Member Functions inherited from libvisio::VSDParagraphListElement
| VSDParagraphListElement (unsigned id, unsigned level)
virtual | ~VSDParagraphListElement ()

## Public Attributes

VSDOptionalParaStyle | m_style
Public Attributes inherited from libvisio::VSDParagraphListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDParaIX()

libvisio::VSDParaIX::VSDParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const std::optional< double > & | indFirst,
|  | const std::optional< double > & | indLeft,
|  | const std::optional< double > & | indRight,
|  | const std::optional< double > & | spLine,
|  | const std::optional< double > & | spBefore,
|  | const std::optional< double > & | spAfter,
|  | const std::optional< unsigned char > & | align,
|  | const std::optional< unsigned char > & | bullet,
|  | const std::optional< VSDName > & | bulletStr,
|  | const std::optional< VSDName > & | bulletFont,
|  | const std::optional< double > & | bulletFontSize,
|  | const std::optional< double > & | textPosAfterBullet,
|  | const std::optional< unsigned > & | flags )

inline

Referenced by clone().

## ~VSDParaIX()

libvisio::VSDParaIX::~VSDParaIX | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDParagraphListElement * libvisio::VSDParaIX::clone | ( |  | ) |

override virtual

Implements libvisio::VSDParagraphListElement.

## getCharCount()

unsigned libvisio::VSDParaIX::getCharCount | ( |  | ) | const

inline override virtual

Implements libvisio::VSDParagraphListElement.

## handle()

void libvisio::VSDParaIX::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDParagraphListElement.

## setCharCount()

void libvisio::VSDParaIX::setCharCount | ( | unsigned | charCount | ) |

inline override virtual

Implements libvisio::VSDParagraphListElement.

## Member Data Documentation

## m_style

VSDOptionalParaStyle libvisio::VSDParaIX::m_style

Referenced by clone(), getCharCount(), handle(), setCharCount(), and VSDParaIX().

The documentation for this class was generated from the following file:

- VSDParagraphList.cpp